\documentclass[letterpaper]{article}
\usepackage[dvips]{graphics}
\usepackage{amsmath,amssymb,rotating,multirow,url}

\setlength{\parskip}{10pt}

\title{Debian Women}
\author{Erinn Clark}
\date{\today}
\bibliographystyle{unsrt}

\begin{document}

\maketitle
\section*{Introduction}

The Debian Women project was founded in 2004 as the solution to ending
world hunger, poverty, war, and psychosis. Since its inception, we have
managed to alleviate all but the last. The unfortunate part of this is
that it causes the first three.

\section*{Love Story}

\subsection*{Infatuation}

It all began on the fateful day that I emailed Amaya Rodrigo. She had
blogged about wanting to get more women involved in Debian and being a
Debian user with aspirations of grandeur, I sent her a message, said
"Hey, I wanna be a DD!" and the story began to unfold.

\subsection*{Getting to know you...}

Soon after, the mischevious Amaya\cite{amaya} sent an email to the
debian-vote mailing list asking the DPL candidates what their view was
on getting more women involved in Debian and whether they planned to do
anything -- and if so, what? This began a fascinating "discussion" which
spanned a mere few hundred messages and two mailing lists.

After a few more emails between me and Amaya, Michelle Ribeiro entered
into the picture and asked whether we'd be interested in giving a talk
at DebConf4. So an abstract was submitted and two months later a healthy
baby talk was delivered to a rapt audience in Porto Alegre, Brazil.

\subsection*{Commitment}

After returning home from our Debian vacation, we needed to begin work.
Pretty soon, we had an IRC channel, a mailing list\cite{mailinglist}
complete with Standard Debian Discourse, and a website\cite{website}.
Now we just needed to get some more women.

\section*{The Good}

We have had a few projects and achievements since beginning the project.
Our primary focus has always been about getting more women involved. So
far, this appears to be working -- there are currently 9 women in the NM
queue\cite{queue} with several more waiting in the wings. If you're into
percentages, this is an 800\% increase since last year at the same time.

Some other things we have done or offered:

\subsection*{Mentoring}
The mentoring program is intended to give an aspiring contributor someone they can
correspond with one-on-one. We were curious as to whether this would be
more effective or less scary than asking groups of people for help (eg,
the debian-\{mentors,devel,legal,etc\} mailing lists, IRC channels). It
seems to be going pretty well, overall. People report feeling more
comfortable with this situation and their skills are improving. Some of
them have gone from being mentees to being mentors. This program is also
offered to both men and women either as mentors or mentees.\cite{mentor}

\subsection*{Online Tutorials}
Some of these have included:
\begin{itemize}

\item RC Bugsquashing Tutorial \cite{langasek} 
\item Packaging Tutorial \cite{sengun}

\end{itemize}

These were given on IRC and were very well received by all participants.
It was interesting to have such an interactive approach to learning
tasks, though I suspect it would be impossible to do something similar
for a very large audience.

\subsection*{Documentation}

\begin{itemize}
\item Building Tutorial \cite{manterola1}
\item Maintainer Scripts \cite{manterola2}
\item Advanced Building Tips \cite{manterola3}
\item How to Make a Debian Package Without Using a Helper \cite{ruiz}

\end{itemize}

% below is incomplete due to timezone issues

%\subsection*{Talks}
%\begin{itemize}
%\item Hanna Wallach {\it FOSDEM 2005, women@CL}
%\item

\subsection*{Camraderie}
While non-technical in nature, this appears to be one of the major
binding factors within the project. Debian is huge and it can be hard to
find a place you fit in. While this is unimportant to some people, it's
a dealbreaker for others, and we've successfully created a community
which people {\it want} to get involved in. Debian tends to be very
community-oriented, so this works out well.

\section*{The Bad}
\subsection*{Community Issues}
Defining membership has been a difficult issue. When trying to be
inclusive, it is generally a better idea to blur lines since the
formality of becoming a Debian Developer can be daunting for many
people. Still, where is the line drawn? What constitutes a Debian Woman,
anyway? A woman who uses Debian? A woman who contributes to Debian? Or,
in some cases, a man who contributes to both DW and Debian? Or, in other
cases, a woman who contributes to Debian but doesn't actually {\it use}
Debian? I'd say the cases where a man does not contribute to either
Debian or DW are exceedingly rare, but they do occasionally pop up.

Discussing these issues has been nerve-wracking due to the conflicting
issues: How do you strike a balance and maintain your focus without
getting bogged down by non-contributing, though wonderfully nice people
when your primary goal is to involve more women in Debian?

{\it (NB: Non-contributing and thoroughly horrible people are covered in
a bit.)}

\subsection*{Friendliness, or lack thereof}
Another misconception -- or at least, widely-held view -- is that DW is
{\it all about} being friendly. This is wrong. WRONG. Can the people in
the back hear me? Good. Because it's wrong.

The goal of Debian Women is to get more women involved in Debian. It's
that simple. Our approach has been pragmatic: people are more likely to
join a community if it's friendly. Unfortunately, people often mistake
this as being a {\it goal} when it's actually more of a sensible
approach and the result of individual people's personalities. 

As a result of this mistaken interpretation, people tend to be shocked
when members of DW are {\it not} all that friendly and, in some cases,
quite hostile, especially to people we perceive as a threat. We have to
keep our goal in mind, though; we're not an online LUG or support group
and our focus should not become so broad that we lose sight of our
original purpose.

Though we may occasionally hold hands and skip around in sunflowers,
that is not our purpose. 

\subsection*{Trolls}

Argh.

We knew we'd be an attractive troll target; there was no way to
escape it except to choose not to exist and that wasn't an option.

This has actually been dealt with quite well, given Debian's open
nature: we have several ops in the IRC channel who are ready, willing,
and able to ban anyone who gets out of hand. Often there is some
mediation that happens before this is done, but in most cases, we refuse
to sacrifice the positive atmosphere in favor of openness. In the case
of the mailing list, most people are smart enough to just ignore anyone
we interpret as a troll, but this isn't always as clear cut. In some cases,
people aren't necessarily trolls, but they {\it are} more interested in
being destructive instead of constructive. This has worked fairly well,
so far.

\section*{The future}
We have a lot of potential goals in mind for the future which we would
like to discuss at DebConf5.

% miscellaneous quotes

\section*{Quotes about DW! Feel the love!}

Prior to completing this paper, I asked some members of DW to say a few
words about the project.

\begin{quote}
In some ways \[DW\] inadvertently led me to dislike parts of
Debian. By this I mean, DW encouraged me to read Debian mailing lists, and
sometimes what I read wasn't pleasant and in some cases discouraging.
Arguments, flame wars and ad hominem attacks left a bad taste.

I have come to realize how much stress developers were under with Sarge and
also that it takes passion to get that worked up about software.  I'll choose
the OS that has passion any day.

{\it -- Angelina Carlton}
\end{quote}

\begin{quote}
I think this is the first place in OSS where people haven't assumed I'm
a man.

{\it -- Clytie Siddall}
\end{quote}

\begin{quote}
After getting involved with Debian Women, all of the sudden Debian
wasn't just an OS anymore - it was a group of people. (Awesome people.)
It's amazing to be able to look at the maintainer field of a package and
say "I know that person!"

{\it -- Christine Spang}
\end{quote}

\begin{quote}
I think that the emergence of d-w last year, especially after Erinn's
talk at Debconf, brought me a newer light on the place of women in
information technology in general, on the role I can have to change
things that need to be changed and on my general perception of the
qualities required to work in IT environments.

{\it -- Christian Perrier}
\end{quote}

\begin{quote}
For me, DW has been the entrance to Debian. I had never thought that I could
get involved in Debian at all, or even that I could fit into Debian. Now I'm
also involved in other Debian activities, but I wouldn't have even tried
without DW's advice and support. I think DW is doing a great work in opening a
door to Debian for many of us.

{\it -- Miriam Ruiz}
\end{quote}

\begin{quote}
It has helped me to think of Debian as a big group of individual
persons, many of whom I know, and I can talk to, rather than an
anonymous hard-to-enter organization.

I'm amazed at how much my attitude towards the whole project has
changed over the past year, and it's mostly due to the DW group.

{\it -- Margarita Manterola}
\end{quote}

\bibliography{paper}

\end{document}

